> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Info API

> HTTP API for getting Snapchain node information and statistics

## info

Get the Hub's info

**Query Parameters**

| Parameter | Description                | Example     |
| --------- | -------------------------- | ----------- |
| dbstats   | Whether to return DB stats | `dbstats=1` |

**Example**

```bash theme={"system"}
curl http://127.0.0.1:3381/v1/info?dbstats=1

```

**Response**

```json theme={"system"}
{
  "version": "1.5.5",
  "isSyncing": false,
  "nickname": "Farcaster Hub",
  "rootHash": "fa349603a6c29d27041225261891bc9bc846bccb",
  "dbStats": {
    "numMessages": 4191203,
    "numFidEvents": 20287,
    "numFnameEvents": 20179
  },
  "peerId": "12D3KooWNr294AH1fviDQxRmQ4K79iFSGoRCWzGspVxPprJUKN47",
  "hubOperatorFid": 6833
}
```


## Related topics

- [Get deployment info](/reference/get-deployment.md)
- [Metadata API](/snapchain/grpcapi/metadata.md)
- [Sync Methods](/reference/lookup-hub-info.md)
- [Fetch User Information](/reference/fetch-user-information.md)
- [How to Get Cast Information for Farcaster Casts](/docs/how-to-get-cast-information-for-farcaster-casts.md)
